Bug 24390 - Add item total to rotating collections (addItems.tt)
Summary: Add item total to rotating collections (addItems.tt)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-09 17:06 UTC by Lucas Gass
Modified: 2020-06-03 15:32 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24390: Add Item Total to Rotating collections (1.13 KB, patch)
2020-01-09 17:10 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24390: Add Item Total to Rotating collections (1.19 KB, patch)
2020-02-14 17:47 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24390: Add item total to rotating collections (1.59 KB, patch)
2020-02-29 21:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24390: (QA follow-up) Fix capitalization and simplyfy code a bit (1.30 KB, patch)
2020-02-29 21:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-01-09 17:06:03 UTC
Some librarians would find it handy if they could see the total number of items in each rotating collection.
Comment 1 Lucas Gass 2020-01-09 17:10:52 UTC
Created attachment 97127 [details] [review]
Bug 24390: Add Item Total to Rotating collections

TEST PLAN:
1. Set up some rotating collections and add some items to them.
2. No good way to see how many total items are in a given collection.
3. Apply patch
4. Look at collections again and you should see 'Total Items: X'
5. Make sure it is counting the total number of items correctly.
Comment 2 ByWater Sandboxes 2020-02-14 17:47:16 UTC
Created attachment 98994 [details] [review]
Bug 24390: Add Item Total to Rotating collections

Signed-off-by: Jessica Zairo <jzairo@bywatersolutions.com>
Comment 3 Katrin Fischer 2020-02-29 21:06:16 UTC
Created attachment 99831 [details] [review]
Bug 24390: Add item total to rotating collections

Displays the number of items in a rotating collection.

TEST PLAN:
1. Set up some rotating collections and add some items to them.
2. No good way to see how many total items are in a given collection.
3. Apply patch
4. Look at collections again and you should see 'Total Items: X'
5. Make sure it is counting the total number of items correctly.

Signed-off-by: Jessica Zairo <jzairo@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-02-29 21:06:20 UTC
Created attachment 99832 [details] [review]
Bug 24390: (QA follow-up) Fix capitalization and simplyfy code a bit

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2020-02-29 21:07:44 UTC
@RM, please check proposed follow-up - leaving PQA as the change is quite small.

@Lucas - please remember to add your test plans to the commit messages and also include a short description.
Comment 6 Martin Renvoize 2020-03-02 10:19:55 UTC
Not entirely sure how the code worked before Katrins follow-up.. I like the follow-up, it seems much clearer to me.
Comment 7 Martin Renvoize 2020-03-02 10:43:10 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-03-31 22:47:17 UTC
enhancement not backported to 19.11.x